[
  { /* system layout specs */

    blockid=test;

    localvar=
    {
      .label.size=200;
      .units.size=90;

      .menu.storage="Droits de stockage...";
      .menu.paths="Chemins...";

      .conn.title=[titled, "Param\u00e8tres de connexion"];
      .conn.enabled="Activer le service NNTP par d\u00e9faut";
      .conn.maxreaders="Nombre maximal de connexions utilisateur :";
      .conn.maxfeeds="Nombre maximal de connexions de duplication :";
      .conn.timeout="D\u00e9lai de connexion :";
      .conn.timeout.items=
      [
        sec,
        min,
        hour
      ];

      .label.size=200;
      .enc.encryption.label="Codage :";
      .enc.enable.items=
      [
        false,
        true
      ];
      .enc.enable.labels=
      [
        Disabled,
        Enabled
      ];
      .enc.port.label="Port du serveur NNTP :";
      .enc.def.auth.label="M\u00e9thode d'authentification par d\u00e9faut :";
      .enc.auth.method.items=
      [
        basic,
        certs
      ];
      .enc.auth.method.labels=
      [
        "De base",
        "Certificats"
      ];
    },

    content=
    [ /* system layout contents */

      { /* service enabled */
        ctrl=togglepane;
        text=$.conn.enabled;
        val=$service.nntp.service.enabled.value;
      }, /* service enabled */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      }, /* comp. space */

      { /* start of connection settings group */
        ctrl=pane;
        border=$.conn.title;
        layout=[ybox];
        content=
        [ /* start of conn. settings contents */

          { /* Start of max readers */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max readers */

              { /* max readers label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxreaders;
                id=connmaxreaders;
                label=maxreaders;
              }, /* max readers label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max readers textfield */
                ctrl=number;
                aligny=0.5;
                label=maxreaders;
                val=$service.nntp.network.maxreaders.value;
              }, /* max readers textfield */
	      {
		ctrl=hglue;
	      }

            ] /* max readers contents */
          }, /* End of max readers */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },
  
          { /* Start of max feeds */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of max feeds */
              { /* max feeds label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.maxfeeds;
                id=connmaxfeeds;
                label=maxfeeds;
              }, /* max feeds label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* max feeds textfield */
                ctrl=number;
                aligny=0.5;
                label=maxfeeds;
                val=$.service.nntp.network.maxfeeds;
              } /* max feeds textfield */

            ] /* max feeds contents */
          }, /* End of max feeds */

          { /* vertical spacing between components */
            ctrl=vstrut;
            size=$.g.comp.space;
          },

          { /* Start of timeout */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* contents of timeout */
              { /* timeout label */
                ctrl=label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
                text=$.conn.timeout;
                id=conntimeout;
                label=timeout;
              }, /* timeout label */

              { /* comp. space */
                ctrl=rigid;
              }, /* comp. space */

              { /* timeout textfield */
                ctrl=number;
                label=timeout;
                alignh=left;
                items=$.conn.timeout.items;
                labels=$g.timeunit.labels;
                val=$.service.nntp.network.timeout;
                unit=sec;
                aligny=0.5;
              }, /* timeout textfield */
	      {
		ctrl=hglue;
	      }

            ] /* timeout contents */
          } /* End of timeout */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */

      { /* comp. space */
        ctrl=vstrut;
        size=$.g.comp.space;
      } /* comp. space */


    ] /* system layout contents */
  } /* system layout specs */

]



